### Method

# Gsk Transform scale_3d

#### Declaration [src]

    GskTransform*
    gsk_transform_scale_3d (
      GskTransform* next,
      float factor_x,
      float factor_y,
      float factor_z
    )

#### Description [src]

Scales `next` by the given factors.

#### Parameters

`factor_x` | `float`
| Scaling factor on the X axis.
`factor_y` | `float`
| Scaling factor on the Y axis.
`factor_z` | `float`
| Scaling factor on the Z axis.

#### Return value

Returns: | `GskTransform`
| The new transform.
| The caller of the function takes ownership of the data, and is responsible for freeing it.